/*
* Global button styling
*/
/*
* MEDIA QUERIES
* Breakpoints for responsive sites
*/
/*
* Breakpoint debugging
*/
/*
* SASS Parent append
* Useful if you want to add an append to the parent without writing it out again
* Usage: @include parent-append(":hover")
* Source: https://codepen.io/imkremen/pen/RMVBvq
*/
/*
* Skew
* Useful mixing to create skewed edges
* Usage: @include angle-edge(bottomright, 3deg, topleft, 3deg, #fff);
* Source: http://www.hongkiat.com/blog/skewed-edges-css/
*/
.block-events {
  width: 100%;
  border-top: 2px solid var(--wp--preset--color--primary);
  border-bottom: 2px solid var(--wp--preset--color--primary);
}
.block-events table {
  width: 100%;
}
.block-events table thead th {
  font-size: var(--wp--preset--font-size--small);
}
.block-events .event {
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  min-height: 60px;
  padding: 12px;
  width: 100%;
}
@media (max-width: 782px) {
  .block-events .event {
    padding: 1.5rem 0;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    height: auto;
  }
}
.block-events .event-meta time {
  line-height: 1.3;
  width: 150px;
  margin-right: 1rem;
  font-size: 1.4rem;
  color: var(--wp--preset--color--foreground);
}
@media (max-width: 782px) {
  .block-events .event-meta time {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 100%;
    margin-bottom: 1rem;
  }
}
.block-events .event-meta time em {
  font-style: normal;
}
.block-events .event-title {
  margin: 0 auto 0 0;
}
.block-events .event-title span.time {
  display: block;
  font-weight: 700;
  font-size: 1.4rem;
  margin-top: 0.5rem;
}
.block-events .event-title span.title {
  font-size: 1.8rem;
  line-height: 1.2;
  margin: 0;
  color: var(--wp--preset--color--primary);
}
.block-events .event-title span.title a {
  color: var(--wp--preset--color--primary);
}
.block-events .event-title span.title a[target=_blank]::after {
  position: absolute;
  right: -1em;
  top: -0.5em;
  content: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="100%" height="100%" viewBox="0 0 143.01 142.93"><path fill="none" stroke="#174421" stroke-width="11" d="M49.29 14.32c-14.6-.08-29.2-.15-43.79-.23 0 40.7.02 81.4.03 122.1 41.21.39 82.41.79 123.62 1.18l-.45-43.65m8.81-44.11V0m0 5.5H93.4m44.11 0L75.75 67.26"/></svg>');
  margin-left: 0.5rem;
  display: block;
  width: 0.5em;
}
.block-events .event-title span.title a::before {
  width: 100%;
  left: 0;
  right: auto;
}
.block-events .event-title span.title a:hover {
  color: var(--wp--preset--color--tertiary);
}
.block-events .event-title span.title a:hover::before {
  width: 0;
  left: auto;
  right: 0;
}
.block-events .event-title span.location {
  display: block;
  font-size: 1.4rem;
  text-transform: uppercase;
  margin-bottom: 0.5rem;
}
.block-events .event-links {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 2rem;
  font-size: 1.6rem;
  position: relative;
}
@media (max-width: 782px) {
  .block-events .event-links {
    gap: 1rem;
    padding-left: 0rem;
  }
}
.block-events .event-links a {
  padding: 1rem;
  line-height: 1;
  border-radius: 5px;
  -webkit-transition: all 0.2s ease-in;
  transition: all 0.2s ease-in;
  font-weight: 700;
  border: 2px solid var(--wp--preset--color--secondary);
  color: var(--wp--preset--color--secondary);
}
.block-events .event-links a::before {
  content: none !important;
}
.block-events .event-links a:hover {
  background: var(--wp--preset--color--secondary);
  color: #fff !important;
}
@media (max-width: 782px) {
  .block-events .event-links a {
    margin-top: 1rem;
  }
}